<template>
  <v-layout fill-height class="write-carousel" align-center>
    <v-flex d-flex align-center class="write-carousel__btn write-carousel__btn_back">
      <v-btn @click="back" icon color="gray-btn">
        <v-icon>keyboard_arrow_left</v-icon>
      </v-btn>
    </v-flex>
    <v-layout wrap class="write-carousel__content pa-4" v-if="hasContent">
      <v-flex xs12>
        <rule-chips :info="content"/>
      </v-flex>
      <v-flex xs12>
        <words-chips :content="content"/>
      </v-flex>
      <v-flex d-flex align-center>
        <span class="write-carousel__message truncate-multilines" v-html="content.message"></span>
      </v-flex>
      <v-flex xs12 class="text-xs-right write-carousel__more-details">
        <div @click="openDialog" class="text-xs-right" flat>More details</div>
      </v-flex>
    </v-layout>
    <no-feedback v-else/>
    <v-flex d-flex align-center class="write-carousel__btn write-carousel__btn_next">
      <v-btn @click="next" icon color="gray-btn">
        <v-icon>keyboard_arrow_right</v-icon>
      </v-btn>
    </v-flex>
    <write-dialog v-if="hasContent" :content="content" v-model="showDialog"/>
  </v-layout>
</template>
<script>
import RuleChips from './components/RuleChips';
import WordsChips from './components/WordsChips';
import WriteDialog from './components/WriteDialog';
import NoFeedback from './components/NoFeedback';

export default {
  props: {
    content: {
      type: Object,
      default: () => ({}),
    },
    items: {
      type: Array,
      default: () => [],
    },
  },
  components: {
    RuleChips,
    WordsChips,
    WriteDialog,
    NoFeedback,
  },
  data() {
    return {
      showDialog: false,
    };
  },
  methods: {
    back() {
      this.$emit('back');
    },
    next() {
      this.$emit('next');
    },
    openDialog() {
      this.showDialog = true;
    },
  },
  computed: {
    hasContent() {
      return Object.keys(this.content).length > 0;
    },
  },
};
</script>

<style lang="sass">
@import ~@/styles/defaults/mobileFirst

.write-carousel
  position: relative
  width: 100%
  margin-top: 10px
  &__more-details
    position: absolute
    bottom: 0px
    padding: 0px 10px 5px
    right: 4px
    cursor: pointer
    & div
      text-decoration: underline
  &__message
    font-size: 1.1em
    margin-left: 15px
  &__content
    height: 100%
    align-items: flex-start
    width: 100%
    position: relative
    border: 1px solid rgba(0,0,0,.1)
  &__btn
    top: 0
    bottom: 0
    z-index: 2
    position: absolute
    &_next
      right: -25px
    &_back
      left: -25px
  +media-min-lg()
    margin-top: 0px
</style>
